Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part One

The Add-in functions are supplied by the UNO com.sun.star.sheet.addin.Analysis service.

To access this command...

Insert - Function - Category Add-In

## BESSELI

Calculates the modified Bessel function of the first kind In(x).

#### Syntax

BESSELI(X; N)

X is the value on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function In(x)

#### Example

=BESSELI(3.45, 4), returns 0.651416873060081

=BESSELI(3.45, 4.333), returns 0.651416873060081, same as above because the fractional part of N is ignored.

=BESSELI(-1, 3), returns -0.022168424924332

## BESSELJ

Calculates the Bessel function of the first kind Jn(x) (cylinder function).

#### Syntax

BESSELJ(X; N)

X is the value on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Jn(x)

#### Example

=BESSELJ(3.45, 4), returns 0.196772639864984

=BESSELJ(3.45, 4.333), returns 0.196772639864984, same as above because the fractional part of N is ignored.

=BESSELJ(-1, 3), returns -0.019563353982668

## BESSELK

Calculates the modified Bessel function of the second kind Kn(x).

#### Syntax

BESSELK(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Kn(x)

#### Example

=BESSELK(3.45, 4), returns 0.144803466373734

=BESSELK(3.45, 4.333), returns 0.144803466373734, same as above because the fractional part of N is ignored.

=BESSELK(0, 3), returns Err:502 – invalid argument (X=0)

## BESSELY

Calculates the Bessel function of the second kind Yn(x).

#### Syntax

BESSELY(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Yn(x)

#### Example

=BESSELY(3.45, 4), returns -0.679848116844476

=BESSELY(3.45, 4.333), returns -0.679848116844476, same as above because the fractional part of N is ignored.

=BESSELY(0, 3), returns Err:502 – invalid argument (X=0)

## BIN2DEC

The result is the number for the binary (base-2) number string entered.

#### Syntax

BIN2DEC(Number)

Number is a string representing a binary (base-2) number. It can have a maximum of 10 places (bits). The most significant bit is the sign bit. Negative numbers are entered as two's complement.

#### Example

=BIN2DEC("1100100") returns 100.

## BIN2HEX

The result is the string representing the number in hexadecimal form for the binary (base-2) number string entered.

#### Syntax

BIN2HEX(Number [; Places])

Number is a string representing a binary (base-2) number. It can have a maximum of 10 places (bits). The most significant bit is the sign bit. Negative numbers are entered as two's complement.

Places means the number of places to be output.

#### Example

=BIN2HEX("1100100";6) returns "000064".

## BIN2OCT

The result is the string representing the number in octal form for the binary (base-2) number string entered.

#### Syntax

BIN2OCT(Number [; Places])

Number is a string representing a binary (base-2) number. It can have a maximum of 10 places (bits). The most significant bit is the sign bit. Negative numbers are entered as two's complement.

Places means the number of places to be output.

#### Example

=BIN2OCT("1100100";4) returns "0144".

## DEC2BIN

The result is the string representing the number in binary (base-2) form for the number entered.

#### Syntax

DEC2BIN(Number [; Places])

Number is a number between -512 and 511. If Number is negative, the function returns a binary number string with 10 characters. The most significant bit is the sign bit, the other 9 bits return the value.

Places means the number of places to be output.

#### Example

=DEC2BIN(100;8) returns "01100100".

## DEC2HEX

The result is the string representing the number in hexadecimal form for the number entered.

#### Syntax

DEC2HEX(Number [; Places])

Number is a number. If Number is negative, the function returns a hexadecimal number string with 10 characters (40 bits). The most significant bit is the sign bit, the other 39 bits return the value.

Places means the number of places to be output.

#### Example

=DEC2HEX(100;4) returns "0064".

## DEC2OCT

The result is the string representing the number in octal form for the number entered.

#### Syntax

DEC2OCT(Number [; Places])

Number is a number. If Number is negative, the function returns an octal number string with 10 characters (30 bits). The most significant bit is the sign bit, the other 29 bits return the value.

Places means the number of places to be output.

#### Example

=DEC2OCT(100;4) returns "0144".

## DELTA

The result is TRUE (1) if both numbers, which are delivered as an argument, are equal, otherwise it is FALSE (0).

#### Syntax

DELTA(Number1 [; Number2])

#### Example

=DELTA(1;2) returns 0.

## ERF

Returns values of the Gaussian error integral.

#### Syntax

ERF(LowerLimit [; UpperLimit])

LowerLimit is the lower limit of the integral.

UpperLimit is optional. It is the upper limit of the integral. If this value is missing, the calculation takes place between 0 and the lower limit.

#### Example

=ERF(0;1) returns 0.842701.

## ERFC

Returns complementary values of the Gaussian error integral between x and infinity.

#### Syntax

ERFC(LowerLimit)

LowerLimit is the lower limit of the integral

#### Example

=ERFC(1) returns 0.157299.

## ERFC.PRECISE

Returns complementary values of the Gaussian error integral between x and infinity.

#### Syntax

ERFC.PRECISE(LowerLimit)

LowerLimit is the lower limit of the integral

#### Example

=ERFC.PRECISE(1) returns 0.157299.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.ERFC.PRECISE

## ERF.PRECISE

Returns values of the Gaussian error integral between 0 and the given limit.

#### Syntax

ERF.PRECISE(LowerLimit)

LowerLimit is the limit of the integral. The calculation takes place between 0 and this limit.

#### Example

=ERF.PRECISE(1) returns 0.842701.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.ERF.PRECISE

## GESTEP

The result is 1 if Number is greater than or equal to Step.

#### Syntax

GESTEP(Number [; Step])

#### Example

=GESTEP(5;1) returns 1.

## HEX2BIN

The result is the string representing the number in binary (base-2) form for the hexadecimal number string entered.

#### Syntax

HEX2BIN(Number [; Places])

Number is a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Places is the number of places to be output.

#### Example

=HEX2BIN("6a";8) returns "01101010".

## HEX2DEC

The result is the number for the hexadecimal number string entered.

#### Syntax

HEX2DEC(Number)

Number is a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

#### Example

=HEX2DEC("6a") returns 106.

## HEX2OCT

The result is the string representing the number in octal form for the hexadecimal number string entered.

#### Syntax

HEX2OCT(Number [; Places])

Number is a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Places is the number of places to be output.

#### Example

=HEX2OCT("6a";4) returns "0152".

Related Topics

Add-in Functions

Add-in Functions, List of Analysis Functions Part Two

Text Functions

Functions by Category